> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Business Units



## OpenAPI

````yaml get /business_units
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /business_units:
    get:
      tags:
        - business_units
      operationId: business_units_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBusinessUnitList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedBusinessUnitList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/BusinessUnit'
    BusinessUnit:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        employer:
          type: string
        public_id:
          type: string
          maxLength: 30
          pattern: ^[-a-zA-Z0-9_]+$
        legal_name:
          type: string
          maxLength: 255
        trade_name:
          type: string
          nullable: true
          maxLength: 255
        federal_ein:
          type: string
          nullable: true
          maxLength: 255
        is_primary:
          type: boolean
        address:
          $ref: '#/components/schemas/Address'
        phone_number:
          type: string
          nullable: true
          maxLength: 10
        email:
          type: string
          nullable: true
          maxLength: 255
        metadata:
          type: object
          additionalProperties:
            type: string
            maxLength: 500
          description: >-
            Up to 50 key-value pairs. Keys max 40 characters, values max 500
            characters. Set a value to empty string to remove a key. On PATCH,
            metadata is merged with existing values.
      required:
        - employer
        - id
        - legal_name
    Address:
      type: object
      properties:
        line1:
          type: string
        line2:
          type: string
          nullable: true
        city:
          type: string
        state:
          $ref: '#/components/schemas/StateEnum'
        zip_code:
          type: string
          maxLength: 11
      required:
        - city
        - line1
        - state
        - zip_code
    StateEnum:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      type: string
      description: |-
        * `AL` - AL
        * `AK` - AK
        * `AZ` - AZ
        * `AR` - AR
        * `CA` - CA
        * `CO` - CO
        * `CT` - CT
        * `DE` - DE
        * `DC` - DC
        * `FL` - FL
        * `GA` - GA
        * `HI` - HI
        * `ID` - ID
        * `IL` - IL
        * `IN` - IN
        * `IA` - IA
        * `KS` - KS
        * `KY` - KY
        * `LA` - LA
        * `ME` - ME
        * `MD` - MD
        * `MA` - MA
        * `MI` - MI
        * `MN` - MN
        * `MS` - MS
        * `MO` - MO
        * `MT` - MT
        * `NE` - NE
        * `NV` - NV
        * `NH` - NH
        * `NJ` - NJ
        * `NM` - NM
        * `NY` - NY
        * `NC` - NC
        * `ND` - ND
        * `OH` - OH
        * `OK` - OK
        * `OR` - OR
        * `PA` - PA
        * `RI` - RI
        * `SC` - SC
        * `SD` - SD
        * `TN` - TN
        * `TX` - TX
        * `UT` - UT
        * `VT` - VT
        * `VA` - VA
        * `WA` - WA
        * `WV` - WV
        * `WI` - WI
        * `WY` - WY
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````